​
Select Service
ves-io-schema-tunnel-API-Get
Published April 5, 2023 | Last modified September 10, 2026
Examples of getting tunnel
Usecase:
Get tunnel-1
Request using vesctl:
vesctl configuration get tunnel tunnel-1 --namespace system
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: tunnel-1 namespace: systemreferringObjects: []resourceVersion: "3892"spec: localIp: ipAddress: ipAddress: ipv4: addr: 192.168.0.10 virtualNetworkType: public: {} params: ipsec: ikePhase1Profile: [] ikePhase2Profile: [] ipsecPsk: {} remoteIp: ip: ipv4: addr: 192.168.0.10status: []systemMetadata: creationTimestamp: "2026-06-19T22:09:25.398195Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 17cedea3-57cb-4676-8881-f50a963e648cRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/tunnels/tunnel-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Type: application/jsonDate: Fri, 19 Jun 2026 22:09:25 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "3892", "metadata": { "name": "tunnel-1", "namespace": "system", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "17cedea3-57cb-4676-8881-f50a963e648c", "creation_timestamp": "2026-06-19T22:09:25.398195Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "tunnel_type": "IPSEC_PSK", "local_ip": { "ip_address": { "ip_address": { "ipv4": { "addr": "192.168.0.10" } }, "virtual_network_type": { "public": {
} } } }, "remote_ip": { "ip": { "ipv4": { "addr": "192.168.0.10" } } }, "params": { "ipsec": { "ipsec_psk": { "blindfold_secret_info_internal": null, "secret_encoding_type": "EncodingNone" }, "tunnel_initiator": null, "ike_proposal": null, "esp_proposal": null, "local_ike_id": "", "remote_ike_id": "", "ike_phase1_key_lifetime": 0, "ike_reauth_timeout": 0, "ike_phase2_key_lifetime": 0, "dpd_keep_alive_timer": 0, "ike_phase1_profile": [ ], "ike_phase2_profile": [ ] } } }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}